Bug 147681 - torcs-data version 1.2.3 spec file suggestions
torcs-data version 1.2.3 spec file suggestions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: torcs-data (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 10:36 EST by Nils Philippsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 07:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file for version 1.2.3 of torcs-data (9.61 KB, text/plain)
2005-02-10 10:36 EST, Nils Philippsen
no flags Details
Free Art License (copied and pasted) (9.81 KB, text/plain)
2005-02-10 10:49 EST, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2005-02-10 10:36:32 EST
torcs version 1.2.3 is available, will attach a slightly enhanced spec file
which avoids inclusion of non-opensource artwork by default.
Comment 1 Nils Philippsen 2005-02-10 10:36:32 EST
Created attachment 110924 [details]
spec file for version 1.2.3 of torcs-data
Comment 2 Nils Philippsen 2005-02-10 10:38:39 EST
Note that you need to change the package release (in Release: and %changelog)
from -0.nils.1 to -1 or whatever. And I meant to write "torcs-data" in the
initial comment of course ;-).
Comment 3 Nils Philippsen 2005-02-10 10:45:50 EST
Just saw the updated torcs-data in extras-commits, perhaps a changelog entry
mentioning that you removed non-free artwork could be added? Perhaps you can
make use of the macros I did in the spec file with which you can easily rebuild
the package with the non-free stuff if so desired. I've also included a
copy'n'paste version of the "Free Art License" most of the stuff is licensed by. 
Comment 4 Nils Philippsen 2005-02-10 10:49:36 EST
Created attachment 110926 [details]
Free Art License (copied and pasted)
Comment 5 Matthias Saou 2005-02-10 12:03:10 EST
I did already put in the %changelog that I removed the non-free sources.
As for that non-free part, I'm planning on creating a separate package that I'll
put on freshrpms.net, where all the dodgy stuff I package goes.

For the license, you say "most of the stuff", do it mean that not all is under
that license? I had a hard time finding info about what license all the data was
released under on the torcs website. Looking at the original websites where the
"non-free" cars were taken from, I did see terms like not being able to
distribute the artwork for a fee, which is why I removed them, but I assumed
from the website that all the data still there was under the GPL. Is it Free Art
License instead, then?
Comment 6 Nils Philippsen 2005-02-11 03:27:29 EST
I found that the XML describing cars' parameters is GPL in many cases while
apparently the rest (the artwork, models, textures, etc.) is this Free Art License.
Comment 7 Matthias Saou 2005-02-11 05:33:14 EST
OK, so I'll include the Free Art License as %doc in each sub-package for the
next versions. What would you suggest changing the "License:" tag to? "GPL/Free
Art", or maybe just "Free Art"?
Comment 8 Nils Philippsen 2005-02-11 05:44:26 EST
I'd use "GPL and Free Art License" just to avoid confusion -- it's not
alternatively the one or the other, but both.
Comment 9 Matthias Saou 2005-02-11 06:37:01 EST
I've just commited these license changes to CVS. Please check and let me know if
you see any possible further changes to be done.

Note You need to log in before you can comment on or make changes to this bug.